Subject: bug#71356: use-package doesn't load org from elpa

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Thu, 6 Jun 2024 08:11:37 +0200

Answers inline

On Thu, 6 Jun 2024 at 08:02, Eli Zaretskii <[email-masked]> wrote:

> > From: Pedro Andres Aranda Gutierrez <[email-masked]>
> > Date: Thu, 6 Jun 2024 07:46:31 +0200
> > Cc: Eli Zaretskii <[email-masked]>, Philip Kaludercic <[email-masked]>,
> [email-masked]
> >
> > Andrea is right. Reading through all the documentation, I implied
> > that use-package would upgrade built-in packages if I pinned them to an
> archive
> > and I :ensure'd them.
> >
> > Use case: want to upgrade org from the 9.6.x version packaged with
> master to the
> > 9.7.x version available in elpa.
> >
> > Maybe this is more a FR and if so, we could move this to the list and
> have an informed
> > discussion there.
>
> I'd like to hear from Philip.  If use-package just uses package.el,
> then the behavior is expected.
>

Let's see

> Do you have package-install-upgrade-built-in set non-nil?  If not, can
> you set it non-nil and try the recipe again?
>

Retried on an unpatched emacs master with
package-install-upgrade-builtin set to t and had the same behaviour.

> As for a feature request: what exactly is the feature requested here?
> Are you saying that use-package should automatically upgrade built-in
> packages?  If so, I don't think this will fly, since it would mean
> inconsistencies with package-install.
>

This is exactly what I would like to discuss ;-) What options do we have to
allow built-in packages to be
upgradable from the archives? Maybe something that would emulate

#+begin_src
(require 'package)
(setq package-install-upgrade-built-in t)
(package-initialize)
(when (not package-archive-contents)
  (package-refresh-contents))
(package-install 'org)
#+end-src

A new keyword in combination with :pin so that we can cherry-pick which
packages we want to actually refresh from elpa
and which ones we are fine with if they are built in?

I just want to raise the question (see below ;-) )

Best, /PA
-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet